Subject: Re: bug#11650: 24.1.50; "Simple" input methods do not allow selection of alternatives with quail-completions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 15:34:49 -0700

Lawrence Mitchell <[email-masked]> writes:

> emacs -Q
>
> C-u C-\ TeX RET
>
> \"o TAB
>
> Three completions are shown:
>
> Possible completion and corresponding characters are:
>  \"o:(1/1) 1.ӧ 2.ȫ 3.ö

(I'm going through old bug reports that unfortunately have gotten no
responses yet.)

I'm unable to reproduce this bug, because if I type

\"o TAB

I just end up with a buffer with an ö character and a TAB inserted.  Are
there any additional steps to see the completions, or has this just
changed a lot in the intervening years and been fixed in a different
way?

> Those are:
> CYRILLIC SMALL LETTER O WITH DIAERESIS
> LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
> LATIN SMALL LETTER O WITH DIAERESIS
>
> They all have the relevant mouse-highlight face, but mouse-2 on
> any of them does not insert the relevant one in a buffer.
>
> This is an unintended side-effect of this change:
>
> Author: Stefan Monnier <[email-masked]>
> Date:   Sun Apr 8 22:53:51 2012 -0400
>
>     * leim/quail/latin-ltx.el: Auto-generate some of the entries.
>     (latin-ltx--ascii-p): New function.
>     (latin-ltx--define-rules): New macro.
>     (define-rules): Use it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no